# -*- coding:utf-8 -*-
import time
from .. import PluginLanguageDomain, medialist
from ..log import logger
from . import epgdb


class EPGClass(object):

	def __init__(self, epgfile):
		self.epg = epgdb.epgdb_class(PluginLanguageDomain, 99, epgfile)
		logger.debug("EPG database located at %s" % epgfile)

	def importEvents(self, services, events):
		self.epg.processServices(services, events)

	def epg_done(self):
		self.epg.final_process()
		self.epg = None

	def __del__(self):
		"""Destructor - finalize the file when done"""
		if self.epg is not None:
			self.epg_done()
